# Docker Compose Repo for Meetling and Jitsi Admin


## Installation of Jitsi Admin
Use the root user to setup docker and Jitsi Admin
```sh
su root
```

This script will setup a repo file and install docker and docker-compose.
```sh
echo "Execute Docker Install Scipt"
wget https://git.h2-invent.com/Meetling/Docker-Compose/raw/branch/main/installDocker.sh && bash installDocker.sh
rm installDocker.sh
```

To use the setup script for docker-compose, run the following commands.
```sh
echo "Download Setup Script"
wget https://git.h2-invent.com/Meetling/Docker-Compose/raw/branch/main/setup.sh && bash setup.sh
echo "Remove Setup Scripts"
rm setup.sh
echo "Execute Docker Compose"
cd /opt/jitsi-admin && docker-compose up -d
```

## Working directory
The setup script will clone and add files into the directory /opt/jitsi-admin.

You can run the composer command inside this directory again to update the containers or check the variables which are used to setup the containers.

```sh
cd /opt/jitsi-admin 
```
Following Files are important and have been changed and setup with the script:
* .env.local
* docker.config
* docker-compose.yml

## Add additional custom configs

To add additional custom environment variables, you can add a file .env.custom and add your variables there.
This file will not be changed from the setup script and will be used inside all containers to overwrite the existing .env and .env.local
All environment variables can be found here [Default ENV inside the Git Repo](https://github.com/H2-invent/jitsi-admin/blob/master/.env)
```sh
MAILER_DSN='smtps://<username>:<password>@<smtpHost>:<smtpPort>'
imprint=test
dataPrivacy=test
helpUrl=https://meetling.de/tutorial-helpcenter/
helpText='<a href="https://meetling.de/tutorial-helpcenter/" target="_blank">Handbuch/Tutorials/FAQ</a>'
helpUrlParticipants=https://meetling.de/tutorial-helpcenter/
CRON_TOKEN=token
```

## Final Result
Following final Result should be printed from the docker-compose command:
```sh
# docker-compose up -d
Creating network "jitsi-admin_external" with the default driver
Creating network "jitsi-admin_internal" with the default driver
Creating jitsi-admin_traefik-ja_1   ... done
Creating jitsi-admin_db-ja_1        ... done
Creating jitsi-admin_websocket-ja_1 ... done
Creating jitsi-admin_app-ja_1       ... done
Creating jitsi-admin_keycloak-ja_1  ... done
```

